org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class SameTermFilterOptimizer.BindingSetAssignmentCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.SameTermFilterOptimizer.BindingSetAssignmentCollector

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>
  Enclosing class:
    SameTermFilterOptimizer

      protected static class SameTermFilterOptimizer.BindingSetAssignmentCollector
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BindingSetAssignmentCollector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<BindingSetAssignment>` | `getBindingSetAssignments()`
    `void` | `meet(BindingSetAssignment bsa)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingSetAssignmentCollector

          protected BindingSetAssignmentCollector()

  - ### Method Detail

    - #### meet

          public void meet(BindingSetAssignment bsa)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### getBindingSetAssignments

          public List<BindingSetAssignment> getBindingSetAssignments()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.